© 2019 GoodData Corporation

# GoodData Create React App

This is a CLI tool that creates a new React project with a proxy set up to connect to your projects on the GoodData platform.
The new app features some widgets and helpers that could come in handy.
This is built on top of Create React App. For more info see [Create React App documentation](https://facebook.github.io/create-react-app/).

## How to use

To create a project called `my-app`, run this in your terminal:

```bash
npx @gooddata/create-gooddata-react-app my-app
```

or if you prefer Yarn:

```bash
yarn global add @gooddata/create-gooddata-react-app
create-gooddata-react-app my-app
```

Then follow the instructions provided by the CLI.

## CLI docs

The CLI tool supports several flags:

-   `-d, --domainUrl <domain>` URL of your GoodData domain
-   `-p, --projectId <projectId>` projectID of your GoodData project
-   `-c, --config <config>` path to configuration file (see below)
-   `--no-install` skip yarn installing the app dependencies
-   `--verbose` output additional logs, useful mainly for debugging and bug reports
-   `-h, --help` output usage information

### Configuration file

The configuration file has the following structure:

```json
{
    "domain": "(Required) domain where the project is hosted, e.g. https://developer.na.gooddata.com",
    "projectId": "(Required) the projectId of the project (must be hosted on the domain specified above)",
    "appName": "(Optional) name of the app to use"
}
```
