import React from "react";
import { ScreenClassProvider } from "react-grid-system";

import "@gooddata/react-components/styles/css/main.css";
import AuthProvider from "./contexts/AuthProvider";
import CatalogueProvider from "./contexts/CatalogueProvider";
import AppRouter from "./routes/AppRouter";

function App() {
    return (
        <AuthProvider>
            <CatalogueProvider>
                <ScreenClassProvider>
                    <AppRouter />
                </ScreenClassProvider>
            </CatalogueProvider>
        </AuthProvider>
    );
}

export default App;
