import React, { useState } from "react";
import cx from "classnames";

import Button from "../controls/Button";

import styles from "./ResultList.module.scss";

const ResultList = ({ children, title, headerContent = null, className = null }) => {
    const [isHeaderExpanded, setIsHeaderExpanded] = useState(false);

    const toggleElement = headerContent ? (
        <Button
            className={cx(styles.HeaderToggle)}
            active={isHeaderExpanded}
            onClick={() => setIsHeaderExpanded(!isHeaderExpanded)}
        >
            ?
        </Button>
    ) : null;

    return (
        <div className={cx(styles.Results, className)}>
            <div className={styles.Header}>
                <h3 className={styles.Heading}>
                    {title}
                    {toggleElement}
                </h3>
                {isHeaderExpanded && headerContent}
            </div>
            <ul className={styles.ResultList}>{children}</ul>
        </div>
    );
};

export default ResultList;
