import React from "react";
import CatalogueConsumer from "../CatalogueConsumer";
import ParametricDashboardBody from "./ParametricDashboardBody";
import ParametricDashboardMissingParameters from "./ParametricDashboardMissingParameters";

const ParametricDashboard = ({ measures, primaryAttribute, dateAttribute, dateFilters }) => {
    return measures && measures.length && primaryAttribute && dateAttribute ? (
        <CatalogueConsumer>
            {data => (
                <ParametricDashboardBody
                    catalogueData={data}
                    primaryAttribute={primaryAttribute}
                    dateAttribute={dateAttribute}
                    measures={measures}
                    dateFilters={dateFilters}
                />
            )}
        </CatalogueConsumer>
    ) : (
        <ParametricDashboardMissingParameters />
    );
};

export default ParametricDashboard;
