import React from "react";
import { Row, Col } from "react-grid-system";
import { Link } from "react-router-dom";

const ParametricDashboardMissingParameters = () => {
    return (
        <Row>
            <Col>
                <p>Please provide a correct URL. The URL should have one of the following formats:</p>
                <p>
                    <code>/parametric-dashboard/PRIMARY_ATTRIBUTE/DATE_ATTRIBUTE/MEASURES</code>
                </p>

                <p>
                    where <code>PRIMARY_ATTRIBUTE</code> is the identifier of Attribute display form you want
                    to explore, <code>DATE_ATTRIBUTE</code> is the identifier of Date Dataset Attribute
                    display form by which you want to segment the data and <code>MEASURES</code> is a comma
                    separated list of identifiers of measures you want to display.
                </p>
                <p>
                    You can find the identifier values using the{" "}
                    <Link to="/catalogue">Catalogue browser</Link>.
                </p>
            </Col>
        </Row>
    );
};

export default ParametricDashboardMissingParameters;
