import React from "react";
import { AreaChart, Model } from "@gooddata/react-components";
import C from "../../constants";

import styles from "./Visualizations.module.scss";
import ReferencesLink from "./ReferencesLink";

const config = {
    stacking: true,
    legend: {
        position: "bottom",
    },
};
const grossProfitMeasure = Model.measure(C.measures.grossProfit);
const monthAttributeDF = Model.attribute(C.attributeDisplayForms.monthShort);
const locationStateAttributeDF = Model.attribute(C.attributeDisplayForms.locationState);

const ByStateStackedAreaChart = ({ filters }) => {
    return (
        <div className={styles.ChartBlock}>
            <div className={styles.Chart}>
                <AreaChart
                    filters={filters}
                    projectId={C.projectId}
                    measures={[grossProfitMeasure]}
                    stackBy={locationStateAttributeDF}
                    viewBy={monthAttributeDF}
                    config={config}
                />
            </div>
            <ReferencesLink href="https://sdk.gooddata.com/gooddata-ui/docs/area_chart_component.html">
                AreaChart component
            </ReferencesLink>
        </div>
    );
};

export default ByStateStackedAreaChart;
