import React, { lazy, Suspense } from "react";

import PreformattedText from "./PreformattedText";

const HighlightedCodeBlock = lazy(() => import("./HighlightedCodeBlock"));

const CodeBlock = ({ children }) => (
    <Suspense fallback={<PreformattedText>{children}</PreformattedText>}>
        <HighlightedCodeBlock>{children}</HighlightedCodeBlock>
    </Suspense>
);

export default CodeBlock;
