import React from "react";
import Highlight, { defaultProps } from "prism-react-renderer";
import github from "prism-react-renderer/themes/github";

import PreformattedText from "./PreformattedText";

const HighlightedCodeBlock = ({ children }) => {
    return (
        <Highlight {...defaultProps} code={children} language="jsx" theme={github}>
            {({ style, tokens, getLineProps, getTokenProps }) => (
                <PreformattedText style={style}>
                    {tokens.map((line, i) => (
                        <div {...getLineProps({ line, key: i })}>
                            {line.map((token, key) => (
                                <span {...getTokenProps({ token, key })} />
                            ))}
                        </div>
                    ))}
                </PreformattedText>
            )}
        </Highlight>
    );
};

export default HighlightedCodeBlock;
