import React from "react";
import styles from "./MeasureByAttributeChangeTimePeriod.module.scss";

const getTimePeriodFromFilters = filters => {
    const absoluteDateFilter = filters.find(filter => filter.absoluteDateFilter);
    if (absoluteDateFilter) {
        const { from, to } = absoluteDateFilter.absoluteDateFilter;
        return `${from} – ${to}`;
    }
    return "All time";
};

const MeasureByAttributeChangeTimePeriod = ({ filters }) => (
    <div className={styles.TimePeriod}>Time period: {getTimePeriodFromFilters(filters)}</div>
);

export default MeasureByAttributeChangeTimePeriod;
