import React from "react";

import VisTypePicker from "../../VisTypePicker";

import styles from "./VisualizationBuilderHeader.module.scss";
import sharedStyles from "../../../shared.module.scss";

const VisualizationBuilderHeader = ({ headline, visTypes, selectedVisType, setVisType, ...restProps }) => {
    return (
        <div className={styles.Header} {...restProps}>
            {headline && <h2 className={sharedStyles.Headline}>{headline}</h2>}
            {visTypes && visTypes.length > 1 && selectedVisType !== null && (
                <VisTypePicker
                    visTypes={visTypes.map(visType => visType.icon)}
                    value={selectedVisType ? selectedVisType.icon : null}
                    onChange={value =>
                        setVisType(visTypes.find(visType => visType && visType.icon === value))
                    }
                />
            )}
        </div>
    );
};

export default VisualizationBuilderHeader;
