import React, { useState, useRef, useMemo, useCallback } from "react";
import { withJsxExport } from "@gooddata/react-components";

const useComponentWithCode = Component => {
    const [code, setCode] = useState("");
    const visualizationRef = useRef();
    const ComponentWithExport = useMemo(() => withJsxExport(Component), [Component]);

    const updateCode = useCallback(() => {
        const newCode = visualizationRef.current && visualizationRef.current.toJsx();
        if (newCode !== code) {
            setCode(newCode);
        }
    }, [code]);

    return [
        props => <ComponentWithExport {...props} ref={visualizationRef} onLoadingChanged={updateCode} />,
        code,
    ];
};

export default useComponentWithCode;
