import React from "react";
import { LineChart, Model } from "@gooddata/react-components";
import C from "../../constants";

import styles from "./Visualizations.module.scss";
import ReferencesLink from "./ReferencesLink";

const config = {
    legend: { position: "bottom" },
};
const grossProfitMeasure = Model.measure(C.measures.grossProfit);
const locationStateAttributeDF = Model.attribute(C.attributeDisplayForms.locationState);
const monthAttributeDF = Model.attribute(C.attributeDisplayForms.monthShort);

const ByStateLineChart = ({ filters }) => {
    return (
        <div className={styles.ChartBlock}>
            <div className={styles.Chart}>
                <LineChart
                    filters={filters}
                    projectId={C.projectId}
                    measures={[grossProfitMeasure]}
                    segmentBy={locationStateAttributeDF}
                    trendBy={monthAttributeDF}
                    config={config}
                />
            </div>
            <ReferencesLink href="https://sdk.gooddata.com/gooddata-ui/docs/line_chart_component.html">
                LineChart component
            </ReferencesLink>
        </div>
    );
};

export default ByStateLineChart;
