import React from "react";
import { Kpi } from "@gooddata/react-components";
import C from "../../constants";

import styles from "./Visualizations.module.scss";
import ReferencesLink from "./ReferencesLink";

const EmployeeKPI = ({ filters }) => {
    return (
        <div className={styles.KpiBlock}>
            <div className={styles.Kpi}>
                <Kpi filters={filters} projectId={C.projectId} measure={C.measures.totalSales} />
            </div>
            <ReferencesLink href="https://sdk.gooddata.com/gooddata-ui/docs/kpi_component.html">
                KPI component
            </ReferencesLink>
        </div>
    );
};

export default EmployeeKPI;
