import React from "react";
import { Headline, Model } from "@gooddata/react-components";
import C from "../../constants";

import styles from "./Visualizations.module.scss";
import ReferencesLink from "./ReferencesLink";

// Always define static buckets globally, otherwise the components will re-render unnecessarily
const secondaryMeasure = Model.measure(C.measures.grossProfit);
const primaryMeasure = Model.popMeasure(secondaryMeasure.measure.localIdentifier, C.attributes.dateYear);

const PeriodComparisonKPI = ({ filters }) => {
    return (
        <div className={styles.KpiBlock}>
            <h3 className={styles.Heading}>Previous Year</h3>
            <div className={styles.HeadlineVersus}>
                <Headline
                    filters={filters}
                    projectId={C.projectId}
                    primaryMeasure={primaryMeasure}
                    secondaryMeasure={secondaryMeasure}
                />
            </div>
            <ReferencesLink href="https://sdk.gooddata.com/gooddata-ui/docs/headline_component.html">
                Headline component
            </ReferencesLink>
        </div>
    );
};

export default PeriodComparisonKPI;
