import React, { useCallback } from "react";
import copy from "copy-to-clipboard";

import IconCopy from "../icons/IconCopy";

import styles from "./CopyToClipboardButton.module.scss";

const CopyToClipboardButton = ({ value }) => {
    const onClick = useCallback(
        e => {
            e.stopPropagation();
            copy(value);
        },
        [value],
    );
    return (
        <button
            className={styles.CopyToClipboardButton}
            type="button"
            onClick={onClick}
            title="Copy to clipboard"
        >
            <IconCopy />
        </button>
    );
};

export default CopyToClipboardButton;
