import React from "react";
import cx from "classnames";

import IconChevronDown from "../icons/IconChevronDown";
import IconChevronUp from "../icons/IconChevronUp";

import styles from "./Toggle.module.scss";

const Toggle = ({ children, isExpanded, setIsExpanded, className = null }) => {
    return (
        <div
            role="button"
            onClick={() => setIsExpanded(!isExpanded)}
            className={cx(styles.Toggle, className)}
        >
            <span className={styles.ToggleIcon}>
                {isExpanded ? (
                    <IconChevronUp className={styles.ToggleIconSymbol} />
                ) : (
                    <IconChevronDown className={styles.ToggleIconSymbol} />
                )}
            </span>
            {children}
        </div>
    );
};

export default Toggle;
