import React from "react";
import cx from "classnames";

import styles from "./ToggleCheckbox.module.scss";

const ToggleCheckbox = ({ className = null, style = {}, value, onChange, children, ...restProps }) => {
    return (
        <label className={cx(styles.ToggleCheckbox, className, value && styles.Checked)} {...restProps}>
            <input
                className={styles.Input}
                type="checkbox"
                checked={!!value}
                onChange={e => {
                    onChange(e.target.checked);
                }}
            />
            <span className={styles.Toggle} />
            {children}
        </label>
    );
};

export default ToggleCheckbox;
