import React from "react";
import Select from "../../controls/Select";

const CatalogueSelect = ({ selectedCatalogueItem, catalogueList, onChange, placeholder }) => {
    const catalogueItems = catalogueList.map(catalogueItem => ({
        label: catalogueItem.meta.title,
        value: catalogueItem,
    }));

    const selectedItem = selectedCatalogueItem
        ? catalogueItems.find(
              catalogueItem =>
                  catalogueItem &&
                  catalogueItem.value &&
                  catalogueItem.value.meta.identifier === selectedCatalogueItem.meta.identifier,
          )
        : null;

    const reorderedCatalogueItems = selectedItem
        ? [selectedItem, ...catalogueItems.filter(item => item !== selectedItem)]
        : catalogueItems;

    return (
        <Select
            onChange={onChange}
            selectedItem={selectedItem}
            items={reorderedCatalogueItems}
            placeholder={placeholder}
        />
    );
};

export default CatalogueSelect;
